{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}


{% block content %}
    {{block.super}}
    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <link rel="stylesheet" href="{% static 'css/jquery.toast.css' %}">

    <style>
    .button1 {
      box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
    }
    .button {
      background-color: rgb(10, 12, 10); /* Green */
      border: none;
      color: white;
      padding: 2px 10px;
      text-align: center;
      text-decoration: none;
      display: inline-block;
      font-size: 15px;
      margin: 4px 2px;
      cursor: pointer;
      -webkit-transition-duration: 0.8s; /* Safari */
      transition-duration: 0.8s;
    }
</style>

    <form method="POST" >
        {% csrf_token %}
        <section class="content-header customer_content_header">
            <h1>Admin Dashboard<small>Version 2.0</small></h1>
            <ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                <li class="active">Dashboard</li>
            </ol>
        </section>

        <section style="min-height: 10px;" class="content">
            <div class="row">
                <a href='/transactions/order_head/outstanding/?on_id={{request.user.id}}' style="color:black">
                  <div class="col-md-3 col-sm-6 col-xs-12">
                    <div class="info-box">
                      <span class="info-box-icon bg-aqua"><i class="fa fa-star"></i></span>
                      <div class="info-box-content">
                        <span class="info-box-text">Outstanding</span>
                        <span class="info-box-number">
                          <!--{% if outstanding > 0 %}-->
                                      <!--₹ {{outstanding|floatformat:2|intcomma}}-->
                                  <!--{% else %}-->
                                      <!--0.0-->
                                  <!--{% endif %}-->
                           ₹ {{outstanding|floatformat:2|intcomma}}
                         <!-- <small>%</small> -->
                        </span>
                      </div><!-- /.info-box-content -->
                    </div><!-- /.info-box -->
                  </div>
                </a>
                <!-- /.col -->
                <a href="/transactions/order_head/Processing/?on_id={{request.user.id}}" style="color:black">
                <div class="col-md-3 col-sm-6 col-xs-12">
                  <div class="info-box">
                    <span class="info-box-icon bg-red"><i class="fa fa-first-order"></i></span>

                    <div class="info-box-content">
                      <span class="info-box-text">Active Orders</span>
                      <span class="info-box-number">
                        <i class="fa fa-first-order" aria-hidden="true"></i> {{orderheadactive|default:"0"}}</span>
                    </div>
                    <!-- /.info-box-content -->
                  </div>
                  <!-- /.info-box -->
                </div>
                </a>
                <!-- /.col -->

                <!-- fix for small devices only -->
                <div class="clearfix visible-sm-block"></div>
                {% comment %} <a href="{% url 'dealer_profile' request.user.id %}" style="color:black"> {% endcomment %}
                <div class="col-md-3 col-sm-6 col-xs-12">
                    <a href="{% url 'monthly_target_deatils' %}?month={{month}}&&year={{year}}&&category=All">
                  <div class="info-box">
                    <span class="info-box-icon bg-green"><i class="fa fa-bullseye" aria-hidden="true"></i></span>

                    <div class="info-box-content">
                      <span class="info-box-text">Monthly Target</span>

                      <span class="info-box-number" style="color: black">
                        ₹ {{objdst.monthly_target__sum|floatformat:2|intcomma}}
                        <!--|floatformat:2|intcomma-->
                      </span></a>
                    </div>
                    <!-- /.info-box-content -->
                  </div>
                  <!-- /.info-box -->
                </div>
                {% comment %} </a> {% endcomment %}
                <!-- /.col -->
                <a href="/master/products/?list=1" style="color:black">
                <div class="col-md-3 col-sm-6 col-xs-12">
                  <div class="info-box">
                    <span class="info-box-icon bg-yellow"><i class="fa fa-product-hunt" aria-hidden="true"></i></span>

                    <div class="info-box-content">
                      <span class="info-box-text">New Products</span>

                      <span class="info-box-number" >{{product|default:"0"}}</span>
                    </div>
                    <!-- /.info-box-content -->
                  </div>
                  <!-- /.info-box -->
                </div>
                </a>
        <!-- /.col -->
      </div>
      <!-- /.row -->
            <!-- /.box-header -->
          <div class="box-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="box box-info">
                <div class="box-header with-border">
                  <h3 class="box-title">Latest Orders</h3>

                  <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                    <!--<button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>-->
                  </div>
                </div>
            <!-- /.box-header -->
            
              
            
            <div class="box-body">
              <div class="table-responsive">
                  {% if orderhead %}
                <table class="table no-margin" style="color: black">
                  <thead>
                  <tr>
                    <th>Order No</th>
                    <th>DMS No</th>
                    <th>Order Date</th>
                    <th>Dispatch Date</th>
                    <th>Invoice Value</th>
                    <th>Discount </th>
                    <th>Payable </th>
                    <th>Status</th>
                    <th>SR</th>
                    <th>Dealer</th>
                  </tr>
                  </thead>
                  <tbody>
                    
                    {% for obj in orderhead|slice:":5" %}
                  <tr>
                    <td><a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">{{obj.order_number}}</a></td>
                    {% if obj.DMS_order_number %}
                    <td><a href="{% url 'customerorderdetail' %}?orderno={{obj.order_number}}&&dealerid={{obj.dealer_id}}">{{obj.DMS_order_number}}</a></td>
                    {% else%}
                    <td><span >{{obj.DMS_order_number| default:"---"}}</span></td>
                    {% endif %}
                    <td>{{obj.order_date|date|default:'---'}}</td>
        
                    <td>{{obj.Dispatched_Date|date|default:'---'}}</td>
                    
                    <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                    <td>
                      {% if obj.discount_amount > 0 %}
                        ₹ {{obj.discount_amount|floatformat:2|intcomma}}
                      {% else %}
                        {{obj.discount_amount|default:"---"}}
                      {% endif %}
                    </td>

                    <td>

                        {% if obj.status == 'Dispatched' %}
                        {% if obj.payable_amount > 0.0 %}
                        ₹ {{obj.payable_amount|floatformat:2|intcomma}}
                        {% endif %}
                        {% else %}
                        ---

                      {% endif %}
                      </td>
                    <td><span class="label label-info {{obj.status}}">{{obj.get_status_display}}</span></td>
                    <!--{% if obj.status == 'OrderPlaced' %}-->
                    <!--<td><span class="label label-info {{obj.status}}">AssignWarehouse</span></td>-->
                    <!--{% else %}-->
                    <!--<td><span class="label label-info {{obj.status}}">{{obj.get_status_display}}</span></td>-->
                    <!--{% endif %}-->
                    <td>
                      {{obj.sr_id.first_name}} {{obj.sr_id.last_name}}
                    </td>

                    <td>
                        <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                          {{obj.dealer.user_code}}.{{obj.company}}
                        </a>
                    </td>

                  </tr>
                  {% endfor %}
                  </tbody>
                </table>
                {% else %}
                <span>Data Not Found!!!</span>
                {% endif %}
              </div>
              <!-- /.table-responsive -->
            </div>
            <!-- /.box-body -->
            <div class="box-footer clearfix">
              <!--<a href="{% url 'productlist' %}" style="display: none;" class="btn btn-sm btn-info btn-flat pull-left">Place New Order</a>-->
              {% if querysetcount|length > 5 %}
              <a href="{% url 'admin_orders' %}?status=All" class="btn btn-sm btn-default btn-flat pull-right">View All Orders</a>
              {% endif %}
            </div>
            <!-- /.box-footer -->
          </div>
                  <!-- /.chart-responsive -->
                </div>
              </div>
              </div>
                <!-- /.col -->

            <!-- ./box-body -->
             
          <!-- /.box -->
      
        <!-- /.col -->


      <!-- /.row -->

      <!-- Main row -->

      <!-- /.row -->
    </section>
        <section style="min-height: 10px;" class="content">
     <div class="box-body">
              <div class="row">
                <div class="col-md-12">
              <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Dealers <strong>{{Dealer_Month|date:"F"}}</strong> Month Target</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <!--<button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>-->
              </div>
            </div>
            <!-- /.box-header -->



            <div class="box-body">
              <div class="table-responsive">
                  {% if get_target %}
                <table class="table no-margin" style="color: black">
                  <thead>
                  <tr>
                    <th>Category ID</th>
                    <!-- <th>Dealer ID</th>
                    <th>Dealer Name</th> -->
                    <th>Dealer</th>
                    <th>Monthly Target</th>
                    <th>Target Achieved</th>
                    <th>Remaining Target</th>
                    <!-- <th>Action</th> -->
                  </tr>
                  </thead>
                  <tbody>

                    {% for data in get_target|slice:":5" %}
                  <tr>
                    <td>{{data.category}}</td>
                    <!-- <td><a href="{% url 'dealer_profile' data.did %}">{{data.dealer}}</a></td>
                    <td><a href="{% url 'dealer_profile' data.did %}">{{data.fname}} {{data.lname}}</a></td> -->
                    <td><a href="{% url 'dealer_profile' data.did %}">{{data.dealer}}.{{data.company}} </a></td>
                    <td><span class="label label-info">{{data.monthly_target | floatformat:2 | intcomma}}</span></td>
                    <td>
                        <span class="label label-success"> {{data.complete_target | floatformat:2 | intcomma}}</span>
                    </td>
                    <td>
                        <span class="label label-danger"> {{data.Remain | floatformat:2 | intcomma|default:'0.00'}}</span>
                    </td>
                    <!-- <td>
                      <button class="button1 button"  style="background-color: black;border: none; color: white">Notify</button>
                    </td> -->
                  </tr>
                  {% endfor %}
                  </tbody>
                </table>
                {% else %}
                <span>Data Not Found!!!</span>
                {% endif %}
              </div>
              <!-- /.table-responsive -->
            </div>
            <!-- /.box-body -->
            <div class="box-footer clearfix">
              {% if get_target|length > 5 %}
              <a href="{% url 'monthly_target_deatils' %}?month={{month}}&&year={{year}}&&category=All" class="btn btn-sm btn-default btn-flat pull-right">View All Reports</a>
              {% endif %}
            </div>
            <!-- /.box-footer -->
          </div>
                  <!-- /.chart-responsive -->
                </div>
              </div>
              </div>
   </section>

  </form>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){
            $('.content-header').first().remove();
        });
    </script>

    <script src="{% static 'js/product_list.js' %}"></script>
{% endblock %}
